import { type BuildContext } from 'dante';
import { type FastifyInstance } from 'fastify';
declare module 'fastify' {
    interface FastifyReply {
        sendFile: (filename: string) => FastifyReply;
    }
}
export declare function createStylesheet(context: BuildContext, page: string, minify: boolean): Promise<string>;
export declare function build(context: BuildContext): Promise<void>;
export declare function setupServer(server: FastifyInstance, isProduction: boolean): void;
export declare function safelist(context: BuildContext): Promise<string[]>;
export declare const serverDir = "html";
