import { type BuildContext } from 'dante';
import markdownIt from 'markdown-it';
import { type Slide, type Talk, type Theme } from './models.js';
export declare const markdownRenderer: markdownIt;
export declare function finalizeJs(code: string): Promise<string>;
export declare function renderNotes(slide: Slide): string;
export declare function parseContent(raw?: string): string;
export declare function generateAssetsListing(context: BuildContext): Promise<Record<string, string>>;
export declare function generateSlideset(context: BuildContext, theme: Theme, talk: Talk): Promise<string>;
export declare function generateAllSlidesets(context: BuildContext): Promise<Record<string, string>>;
