import { type UserConfig, type Variant } from '@unocss/core';
import { type Theme as UnoTheme } from '@unocss/preset-mini';
export declare function defineUnoConfig<Theme extends object = UnoTheme>(config: UserConfig<Theme>): UserConfig<Theme>;
export declare function compressLayers(layers: Record<string, number>): Map<string, string>;
export declare const layersVariant: Variant<UnoTheme>;
