import { compressCSSClasses } from 'dante/html-utils';
export function defineUnoConfig(config) {
    return config;
}
export function compressLayers(layers) {
    const compressedLayers = new Map();
    compressCSSClasses(Object.keys(layers), compressedLayers, new Map(), new Set(), 0, '');
    return compressedLayers;
}
export const layersVariant = {
    name: 'talks-layer-matcher',
    match (matcher) {
        const mo = matcher.match(/^(?<layer>([^@]+))@(?<matcher>.+)$/);
        if (!mo) {
            return matcher;
        }
        return {
            matcher: mo.groups.matcher,
            layer: mo.groups.layer
        };
    }
};
