import { type Talk, type Theme } from './models.js';
export declare function resolvePusher(): Promise<[string, string]>;
export declare function resolveImagePath(theme: string, talk: string, url?: string): string;
export declare function resolveImageUrl(theme: string, talk: string, url?: string): string;
export declare function getCommon(): Promise<Record<string, object>>;
export declare function getTheme(themeName: string): Promise<Theme>;
export declare function getTalk(id: string): Promise<Talk>;
export declare function getAllTalks(): Promise<Set<string>>;
